<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

InitLanguage ('modules/classifieds/plugin/middlebox/recent_classifieds/language/');

function recent_classifieds_get_data ($result, $box_array_dat, &$data) {

	global $opnConfig;

	$i = 0;
	while (! $result->EOF) {
		$lid = $result->fields['lid'];
		$link = $result->fields['title'];
		$title = $link;
		$opnConfig['cleantext']->opn_shortentext ($link, $box_array_dat['box_options']['strlength']);
		$time = buildnewtag ($result->fields['wdate']);
		$data[$i]['link'] = '<a href="' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/index.php',
											'op' => 'view', 'lid' => $lid) ) . '" title="' . $title . '">' . $link . '</a>&nbsp;' . $time;
		$i++;
		$result->MoveNext ();
	}

}

function recent_classifieds_get_middlebox_result (&$box_array_dat) {

	global $opnConfig, $opnTables;

	$boxstuff = $box_array_dat['box_options']['textbefore'];
	$order = 'wdate';
	$limit = $box_array_dat['box_options']['limit'];
	if (!isset ($box_array_dat['box_options']['use_tpl']) ) {
		$box_array_dat['box_options']['use_tpl'] = '';
	}
	if (!isset ($box_array_dat['box_options']['strlength']) ) {
		$box_array_dat['box_options']['strlength'] = 22;
	}
	if (!$limit) {
		$limit = 5;
	}
	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.functions.php');
	$mf = new CatFunctions ('classifieds_product');
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemwhere = 'i.status=1';
	$mf->itemid = 'lid';
	$mf->itemlink = 'cid';
	$result = $mf->GetItemLimit (array ('lid',
					'title',
					'wdate'),
					array ('i.' . $order . ' DESC'),
		$limit);
	if ($result !== false) {
		$counter = $result->RecordCount ();
		$data = array ();
		recent_classifieds_get_data ($result, $box_array_dat, $data);
		if ($box_array_dat['box_options']['use_tpl'] == '') {
			$boxstuff .= '<ul>';
			foreach ($data as $val) {
				$boxstuff .= '<li>' . $val['link'] . '</li>' . _OPN_HTML_NL;
			}
			$themax = $limit- $counter;
			for ($i = 0; $i<$themax; $i++) {
				$boxstuff .= '<li class="invisible">&nbsp;</li>';
			}
			$boxstuff .= '</ul>';
		} else {
			$pos = 0;
			$dcol1 = '2';
			$dcol2 = '1';
			$a = 0;
			$opnliste = array ();
			foreach ($data as $val) {
				$dcolor = ($a == 0? $dcol1 : $dcol2);
				$opnliste[$pos]['topic'] = $val['link'];
				$opnliste[$pos]['case'] = 'subtopic';
				$opnliste[$pos]['alternator'] = $dcolor;
				$opnliste[$pos]['image'] = '';
				
				$pos++;
				$a = ($dcolor == $dcol1?1 : 0);
			}
			get_box_template ($box_array_dat, 
								$opnliste,
								$limit,
								$counter,
								$boxstuff);
		}
		$result->Close ();
	}
	get_box_footer ($box_array_dat, $opnConfig['opn_url'] . '/modules/classifieds/index.php', $opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', _MID_RECENT_CLASSFIEDS_ADD, $boxstuff);
	$boxstuff .= $box_array_dat['box_options']['textafter'];

	$box_array_dat['box_result']['skip'] = false;
	$box_array_dat['box_result']['title'] = $box_array_dat['box_options']['title'];
	$box_array_dat['box_result']['content'] = $boxstuff;
	unset ($boxstuff);

}

?>