<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

function classifieds_listalldel () {

	global $opnConfig;

	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'engine/gui_engine/class.construct_gui_layer.php');

	$dialog = load_gui_construct ('liste');
	$dialog->setModule  ('developer/customizer_snbuild');
	$dialog->setlisturl ( array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'listalldel') );
	$dialog->setdelurl ( array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'acceptdel') );
	$dialog->setediturl ( array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'noacceptdel') );
	$dialog->settable  ( array (	'table' => 'classifieds_product', 
									'show' => array (
										'lid' => _CLASSFIEDS_ADMIN_ID, 
										'title' => _CLASSFIEDS_API_TITLE, 
										'wdate' => _CLASSFIEDS_ADMIN_DATE),
									'type' => array (
										'wdate' => _OOBJ_DTYPE_DATE),
									'where' => '(lid>0) AND (status=2)',
									'id' => 'lid') );
	$dialog->setid ('lid');
	$boxtxt = $dialog->show ();

	return $boxtxt;

}


function classifieds_acceptdel () {

	$lid = 0;
	get_var ('lid', $lid, 'url', _OOBJ_DTYPE_INT);

	classifieds_delete_entry ($lid, true);

	$boxtxt = _CLASSFIEDS_ADMIN_LINKDELETED;
	return $boxtxt;

}

function classifieds_noacceptdel () {

	global $opnConfig, $opnTables;

	$lid = 0;
	get_var ('lid', $lid, 'url', _OOBJ_DTYPE_INT);

	$query = 'UPDATE ' . $opnTables['classifieds_product'] . ' SET status=1 WHERE (status=2) AND (lid=' . $lid .')';
	$opnConfig['database']->Execute ($query);

	$boxtxt = _CLASSFIEDS_ADMIN_NEWENTRYADDTODATA;
	return $boxtxt;

}


?>