<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

define ('_CLASSFIEDS_ADMIN_MENU', 'Kleinanzeigen Administration');
define ('_CLASSFIEDS_ADMIN_MAINPAGE', 'Hauptseite');
define ('_CLASSFIEDS_ADMIN_CATEGORYMENU', 'Kategorien');
define ('_CLASSFIEDS_ADMIN_SETTINGS', 'Einstellungen');

define ('_CLASSFIEDS_ADMIN_NAME', 'Name');
define ('_CLASSFIEDS_ADMIN_ID', 'ID');
define ('_CLASSFIEDS_ADMIN_DATE', 'Datum');
define ('_CLASSFIEDS_ADMIN_FUNCTIONS', 'Funktionen');
define ('_CLASSFIEDS_ADMIN_ADDNEWENTRY', 'Kleinanzeige hinzufügen');
define ('_CLASSFIEDS_ADMIN_MODIFENTRY', 'Kleinanzeige bearbeiten');
define ('_CLASSFIEDS_ADMIN_MODIFICATIONREQUEST', 'zu ändernde Einträge');
define ('_CLASSFIEDS_ADMIN_CLASSFIEDS_WAITINGVALIDATION', 'Zu prüfende Einträge');
define ('_CLASSFIEDS_ADMIN_DELETEREQUEST', 'zu löschende Einträge');
define ('_CLASSFIEDS_ADMIN_NEWREQUEST', 'freizugebene Einträge');
define ('_CLASSFIEDS_ADMIN_USERMODREQ', 'Eingereichte Änderungen');
define ('_CLASSFIEDS_ADMIN_ORIGINAL', 'Original');
define ('_CLASSFIEDS_ADMIN_OWNER', 'Eigentümer');
define ('_CLASSFIEDS_ADMIN_PROPOSED', 'Vorgeschlagen');

define ('_CLASSFIEDS_ADMIN_CANCEL', 'Abbrechen');
define ('_CLASSFIEDS_ADMIN_DELETE', 'Löschen');
define ('_CLASSFIEDS_ADMIN_VIEW', 'Anzeigen');
define ('_CLASSFIEDS_ADMIN_ADD_NEW', 'Hinzufügen');

define ('_CLASSFIEDS_ADMIN_ACCEPT', 'Akzeptieren');
define ('_CLASSFIEDS_ADMIN_IGNORE', 'Ignorieren');
define ('_CLASSFIEDS_ADMIN_APPROVE', 'Eintrag hinzufügen');
define ('_CLASSFIEDS_ADMIN_DELETEENTRY', 'Eintrag löschen');
define ('_CLASSFIEDS_ADMIN_ADDALLNEWENTRY', 'Alle neuen Einträge einfügen');
define ('_CLASSFIEDS_ADMIN_DELALLNEWENTRY', 'Alle neuen Einträge löschen');
define ('_CLASSFIEDS_ADMIN_SUBMITTER', 'Übermittler');
define ('_CLASSFIEDS_ADMIN_LINKDELETED', 'Der Eintrag wurde erfolgreich gelöscht');
define ('_CLASSFIEDS_ADMIN_DATABASEUPDASUC', 'Die Datenbank wurde erfolgreich geändert');
define ('_CLASSFIEDS_ADMIN_CLASSFIEDS', 'Kleinanzeigen');
define ('_CLASSFIEDS_ADMIN_THEREARE', 'Es sind');
define ('_CLASSFIEDS_ADMIN_INOURDATABASE', 'Einträge in der Datenbank');
define ('_CLASSFIEDS_ADMIN_WARNING', 'WARNUNG: Sind Sie sich sicher, dass Sie diese Kategorie mit allen Einträgen und Kommentaren löschen möchten?');
define ('_CLASSFIEDS_ADMIN_NEWENTRYADDTODATA', 'Eintrag wurde hinzugefügt');
define ('_CLASSFIEDS_ADMIN_NONEWSUBMITTEDENTRY', 'Keine neuen Einträge');
define ('_CLASSFIEDS_ADMIN_NEWENTRYADDTODATABASE', 'Neue Einträge wurden hinzugefügt');
define ('_CLASSFIEDS_ADMIN_ENTRYDELETED', 'Die Einträge wurden gelöscht');
define ('_CLASSFIEDS_ADMIN_YOUR_CLASSFIEDS', 'Kleinanzeigenverzeichnis auf');
define ('_CLASSFIEDS_ADMIN_NOLINKMODREQ', 'Keine Änderungen vorhanden');

// settings.php
define ('_CLASSFIEDS_ADMIN_ADMIN', 'Kleinanzeigen Admin');
define ('_CLASSFIEDS_ADMIN_CLASSFIEDS_PAGE', 'Anzahl Links pro Seite:');
define ('_CLASSFIEDS_ADMIN_CLASSFIEDS_SEARCH', 'Anzahl der Links im Suchergebnis:');
define ('_CLASSFIEDS_ADMIN_CAT', 'Kategorie: ');
define ('_CLASSFIEDS_ADMIN_CATSPERROW', 'Kategorien pro Zeile:');

define ('_CLASSFIEDS_ADMIN_AUTOWRITE', 'automatische Veröffentlichung es erfolgt keine Prüfung durch den Admin');
define ('_CLASSFIEDS_ADMIN_AUTOCHANGE', 'automatische Veröffentlichung von Änderungen es erfolgt keine Prüfung durch den Admin');
define ('_CLASSFIEDS_ADMIN_AUTODELETE', 'automatische Ausführen von Löschungen es erfolgt keine Prüfung durch den Admin');
define ('_CLASSFIEDS_ADMIN_GENERAL', 'Allgemeine Einstellungen');
define ('_CLASSFIEDS_ADMIN_SHOWALLCAT', 'Auch leere Kategorien anzeigen?');
define ('_CLASSFIEDS_ADMIN_NAVGENERAL', 'Administration Hauptseite');

define ('_CLASSFIEDS_ADMIN_FORM_TITLE', 'Titel');
define ('_CLASSFIEDS_ADMIN_FORM_PRICE', 'Preis');
define ('_CLASSFIEDS_ADMIN_FORM_CITY', 'Stadt');
define ('_CLASSFIEDS_ADMIN_FORM_STATE', 'Bundesland');
define ('_CLASSFIEDS_ADMIN_FORM_STREET', 'Straße');
define ('_CLASSFIEDS_ADMIN_FORM_TELEFAX', 'Telefax');
define ('_CLASSFIEDS_ADMIN_FORM_TELEFON', 'Telefon');
define ('_CLASSFIEDS_ADMIN_FORM_DESCRIPTION', 'Kurzbeschreibung');
define ('_CLASSFIEDS_ADMIN_FORM_DESCRIPTIONLONG', 'Langbeschreibung');
define ('_CLASSFIEDS_ADMIN_FORM_ZIP', 'PLZ');
define ('_CLASSFIEDS_ADMIN_FORM_KEYWORDS', 'Suchwörter');
define ('_CLASSFIEDS_ADMIN_FORM_CATEGORY', 'Kategorie');
define ('_CLASSFIEDS_ADMIN_FORM_COUNTRY', 'Land');
define ('_CLASSFIEDS_ADMIN_FORM_EMAIL', 'eMail');
define ('_CLASSFIEDS_ADMIN_FORM_UID', 'User ID');
define ('_CLASSFIEDS_ADMIN_FORM_DATE', 'Datum');
define ('_CLASSFIEDS_ADMIN_FORM_UNKNOWN', 'unbekannt');

?>