<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

function classifieds_listallmod () {

	global $opnTables, $mf, $opnConfig;

	$keys_mod = '';
	api_classifieds_get_keys ($keys_mod,true);
	$keys_org = '';
	api_classifieds_get_keys ($keys_org);
	$keys_txt = '';
	api_classifieds_get_keys_txt ($keys_txt);

	$select = '';
	$opnConfig['opnSQL']->opn_make_select ($keys_mod, $select);

	$result = &$opnConfig['database']->Execute ('SELECT '.$select.' FROM ' . $opnTables['classifieds_product_mod'] . ' ORDER BY rid DESC');
	$totalmodrequests = $result->RecordCount ();
	$boxtxt = '<h4>' . _CLASSFIEDS_ADMIN_USERMODREQ . '(' . $totalmodrequests . ')</h4><br />';
	if ($totalmodrequests>0) {
		while (! $result->EOF) {
			$mod = array ();
			$opnConfig['opnSQL']->get_result_array ($mod, $result, $keys_mod);
			$select = '';
			$opnConfig['opnSQL']->opn_make_select ($keys_org, $select);
			$result2 = &$opnConfig['database']->Execute ('SELECT '.$select.' FROM ' . $opnTables['classifieds_product'] . ' WHERE lid=' . $mod['lid']);

			$org = array ();
			$opnConfig['opnSQL']->get_result_array ($org, $result2, $keys_org);

			$mod['cidtitle'] = $mf->getPathFromId ($mod['cid']);
			$org['cidtitle'] = $mf->getPathFromId ($org['cid']);

			$result9 = &$opnConfig['database']->Execute ('SELECT email FROM ' . $opnTables['users'] . ' WHERE uid='.$org['uid']);
			$result10 = &$opnConfig['database']->Execute ('SELECT email FROM ' . $opnTables['users'] . ' WHERE uid='.$mod['uid']);

			$mod['ownermail'] = $result10->fields['email'];
			$org['ownermail'] = $result9->fields['email'];

			opn_nl2br ($mod['descriptionlong']);
			opn_nl2br ($org['descriptionlong']);

			$table = new opn_TableClass ('alternator');
			$table->AddHeaderRow (array ('',_CLASSFIEDS_ADMIN_ORIGINAL,_CLASSFIEDS_ADMIN_PROPOSED) );
			foreach ($keys_org as $key) {

				if ($key == 'lid') {
					$key = 'ownermail';
					$keys_txt[$key.'_txt'] =  _CLASSFIEDS_ADMIN_OWNER;
				}
				$hlp_s1 = '<small><strong>';
				$hlp_s1 .= $keys_txt[$key.'_txt'] . '<br />';
				$hlp_s1 .= '</strong></small>';

				if ($org[$key] ==$mod[$key]) {
					$hlp_s2 = '<small>';
					$hlp_s2 .= $org[$key];
					$hlp_s2 .= '</small>';
					$hlp_s3 = '<small>';
					$hlp_s3 .= $mod[$key];
					$hlp_s3 .= '</small>';
				} else {
					$hlp_s2 = '<span class="alerttext">';
					$hlp_s2 .= $org[$key];
					$hlp_s2 .= '</span>';
					$hlp_s3 = '<span class="alerttext">';
					$hlp_s3 .= $mod[$key];
					$hlp_s3 .= '</span>';
				}

				$table->AddDataRow (array ($hlp_s1, $hlp_s2, $hlp_s3));
			}

			$table->AddDataRow (array ('', $hlp_s2, $hlp_s3));
			$table->GetTable ($boxtxt);

			$boxtxt .= '<br /><div class="centertag">';
			$form = new opn_FormularClass ();
			$opnConfig['opnOutput']->SetOnlineHelpFlag ('_OPNHELPID_MODULES_CLASSIFIEDS_20_' , 'modules/classifieds');
			$form->Init ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php');
			$form->AddButton ('Accept', _CLASSFIEDS_ADMIN_ACCEPT, '', '', 'javascript:location=\'' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php',
															'op' => 'acceptmod','lid' => $mod['lid'],
															'rid' => $mod['rid']) ) . '\'');
			$form->AddText (' ');
			$form->AddButton ('Ignore', _CLASSFIEDS_ADMIN_IGNORE, '', '', 'javascript:location=\'' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php',
															'op' => 'ignoremod','lid' => $mod['lid'],
															'rid' => $mod['rid']) ) . '\'');
			$form->AddHidden ('rid', $mod['rid']);
			$form->AddFormEnd ();
			$form->GetFormular ($boxtxt);
			$boxtxt .= '</div><br /><br />';
			$result->MoveNext ();
		}
	} else {
		$boxtxt .= _CLASSFIEDS_ADMIN_NOLINKMODREQ;
	}
	return $boxtxt;

}


function acceptmod () {

	global $opnConfig, $opnTables;

	$rid = 0;
	get_var ('rid', $rid, 'url', _OOBJ_DTYPE_INT);

	$typs = '';
	api_classifieds_get_keys_typ ($typs);
	$keys_mod = '';
	api_classifieds_get_keys ($keys_mod,true);
	$keys = '';
	api_classifieds_get_keys ($keys);
	$select = '';
	$opnConfig['opnSQL']->opn_make_select ($keys_mod, $select);

	$result = &$opnConfig['database']->Execute ('SELECT '.$select.' FROM ' . $opnTables['classifieds_product_mod'] . ' WHERE rid=' . $rid);
	while (! $result->EOF) {

		$mod = array ();
		$opnConfig['opnSQL']->get_result_array ($mod, $result, $keys_mod);

		$opnConfig['opndate']->now ();
		$mod['wdate'] = '';
		$opnConfig['opndate']->opnDataTosql ($mod['wdate']);

		$rid = $mod['rid'];
		$lid = $mod['lid'];

		unset ($mod['rid']);
		unset ($mod['lid']);

		$opnConfig['opnSQL']->qstr_array ($mod, '', $typs);
		$update = '';
		$opnConfig['opnSQL']->opn_make_update ($keys, $mod, $update);
		$opnConfig['database']->Execute ('UPDATE ' . $opnTables['classifieds_product'] . " SET $update WHERE lid=$lid");

		$query = 'UPDATE ' . $opnTables['classifieds_product'] . ' SET status=1 WHERE lid=' . $lid;
		$opnConfig['database']->Execute ($query);

		$opnConfig['database']->Execute ('DELETE FROM ' . $opnTables['classifieds_product_mod'] . ' WHERE rid=' . $rid);
		$result->MoveNext ();
	}
	$boxtxt = _CLASSFIEDS_ADMIN_DATABASEUPDASUC;
	return $boxtxt;

}

function ignoremod () {

	global $opnConfig, $opnTables;

	$rid = 0;
	get_var ('rid', $rid, 'url', _OOBJ_DTYPE_INT);

	$lid = 0;
	get_var ('lid', $lid, 'url', _OOBJ_DTYPE_INT);

	$query = 'UPDATE ' . $opnTables['classifieds_product'] . ' SET status=1 WHERE lid=' . $lid;
	$opnConfig['database']->Execute ($query);

	$query = 'DELETE FROM ' . $opnTables['classifieds_product_mod'] . ' WHERE rid=' . $rid;
	$opnConfig['database']->Execute ($query);
	$boxtxt = _CLASSFIEDS_ADMIN_MODREQDELETED;
	return $boxtxt;

}


?>