<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.file.php');
include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'mail/class.mail.php');

function classifieds_delete_entry ($lid, $email = false) {

	global $opnConfig, $opnTables;

	$where = ' AND (lid='.$lid.') ';
	$result = &$opnConfig['database']->Execute ('SELECT lid, uid, email FROM ' . $opnTables['classifieds_product'] . ' WHERE (status=2)'.$where.'');
	$numrows = $result->RecordCount ();
	if ($numrows>0) {
		while (! $result->EOF) {
			$lid = $result->fields['lid'];
			$uid = $result->fields['uid'];

			$result9 = &$opnConfig['database']->Execute ('SELECT uname, email FROM ' . $opnTables['users'] . ' WHERE uid='.$uid);
			$email = $result9->fields['email'];
			$uname = $result9->fields['uname'];

			if ( ($uname != '') && ($email != '') && ($email)) {
				$subject = _CLASSFIEDS_ADMIN_YOUR_CLASSFIEDS . ' ' . $opnConfig['sitename'];
				$vars['{NAME}'] = $uname;
				$vars['{URL}'] = encodeurl(array ($opnConfig['opn_url'] . '/modules/classifieds/index.php') );
				$mail = new opn_mailer ();
				$mail->opn_mail_fill ($email, $subject, 'modules/classifieds', 'delclassifieds', $vars, $opnConfig['opn_webmaster_name'], $opnConfig['adminmail']);
				$mail->send ();
				$mail->init ();
			}
			$result->MoveNext ();
		}
	}

	$opnConfig['database']->Execute ('DELETE FROM ' . $opnTables['classifieds_product'] . ' WHERE lid=' . $lid);
	$opnConfig['database']->Execute ('DELETE FROM ' . $opnTables['classifieds_product_mod'] . ' WHERE lid=' . $lid);

	classifieds_images_delete (0, $lid);

}

function classifieds_images_delete ($mid, $lid) {

	global $opnTables, $opnConfig;

	$sql = 'SELECT url FROM ' . $opnTables['classifieds_product_images'] . ' WHERE (mid=' . $mid . ') OR (lid='.$lid.')';
	$result = &$opnConfig['database']->Execute ($sql);
	$num = $result->RecordCount ();
	if ($num != 0) {
		while (! $result->EOF) {
			$dat = $result->GetRowAssoc ('0');
			if ($dat) {
				$datei = str_replace ($opnConfig['datasave']['classifieds_product_images']['url'] . '/', '', $dat['url']);
				if ($dat['url'] != $datei) {
					$dat['url'] = str_replace ($opnConfig['datasave']['classifieds_product_images']['url'] . '/', '', $dat['url']);
					if ($dat['url'] != '') {
						$File = new opnFile ();
						$File->delete_file ($opnConfig['datasave']['classifieds_product_images']['path'] . $dat['url']);
						$File->delete_file ($opnConfig['datasave']['classifieds_product_images']['path'] . $dat['url'] . '.opn_tbm_.jpg');
					}
				}
			}
			$result->MoveNext ();
		}
		$result->Close ();
	}
	$sql = 'DELETE FROM ' . $opnTables['classifieds_product_images'] . ' WHERE (mid=' . $mid . ') OR (lid='.$lid.')';
	$opnConfig['database']->Execute ($sql);

}

/**
* Gets the content for the template
*
* @param string	$template
* @param array		$data
* @return string
*/

function _GetTemplate ($template, $data) {

	global $opnConfig;

	return $opnConfig['opnOutput']->GetTemplateContent ($template, $data, 'classifieds_compile', 'classifieds_templates', 'modules/classifieds');

}


?>