<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

InitLanguage ('modules/classifieds/language/');
global $opnConfig, $eh;

function classifieds_header ($mainlink = 1, $search = 1) {

	global $opnConfig;

	$boxtext = '<br /><div class="centertag">';
	$boxtext .= '<h3>' . _CLASSFIEDS_DESC . '</h3>';
	$boxtext .= '<br /><br />';
	if ($mainlink>0) {
		$boxtext .= theme_boxi ($opnConfig['opn_url'] . '/modules/classifieds/index.php', _CLASSFIEDS_MAIN, '', '');
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
			$boxtext .= theme_boxi ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', _CLASSFIEDS_SEND, '', '');
		}
	}
	$boxtext .= '</div>';
	$boxtext .= '<br /><br />';
	if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_CLASSFIEDS_PERM_SEARCHLINK, _PERM_ADMIN), true) ) {
		if ($search>0) {
			$boxtext .= classifieds_search_form ();
		}
	}
	return $boxtext;

}


?>