<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/
if (!defined ('_OPN_MAINFILE_INCLUDED') ) {
	include ('../../mainfile.php');
}
global $opnConfig, $opnTables;

$opnConfig['permission']->InitPermissions ('modules/classifieds');
$opnConfig['module']->InitModule ('modules/classifieds');
if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_READ, _PERM_BOT, _PERM_ADMIN), true) ) {

	$opnConfig['opnOutput']->setMetaPageName ('modules/classifieds');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/api/api.php');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/functions.php');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/include/action_function.php');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/include/function_main.php');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/include/function_search.php');
	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'smarttemplate/class.smarttemplate.php');
	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.functions.php');
	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorienav.php');
	include_once (_OPN_ROOT_PATH . 'include/module.build_pagebar.php');
	InitLanguage ('modules/classifieds/language/');

	$boxtxt = '';
	$op = '';
	get_var ('op', $op, 'both', _OOBJ_DTYPE_CLEAN);
	$cid = 0;
	get_var ('cid', $cid, 'url', _OOBJ_DTYPE_INT);
	if ( ($cid != 0) && ($op == '') ) {
		$op = 'viewcat';
	}
	switch ($op) {
		case 'view':
			$lid = 0;
			get_var ('lid', $lid, 'url', _OOBJ_DTYPE_INT);
			$boxtxt .= classifieds_header (1,0);
			$boxtxt .= classifieds_show ($lid);
			break;
		case 'viewcat':
			$boxtxt .= classifieds_header (1,0);
			classifieds_showallincategories ($cid, $boxtxt);
			// $boxtxt .= classifieds_showcategories ($cid);
			break;
		default:
			$boxtxt = classifieds_header (1,1);
			classifieds_showallcategories ($boxtxt);
			classifieds_listall ($boxtxt);
			break;
	}
	
	if ($boxtxt != '') {

		$opnConfig['opnOutput']->SetDisplayVar ('title_help_id', '_OPNDOCID_PRO_CLASSFIEDS_INDEX_');
		$opnConfig['opnOutput']->SetDisplayVar ('module', 'modules/classifieds');
		$opnConfig['opnOutput']->SetDisplayVar (false, true, 1);

		$opnConfig['opnOutput']->DisplayContent (_CLASSFIEDS_DESC, $boxtxt);
	}
} else {
	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.message.php');
	$message = new opn_message ();
	$message->no_permissions_box ();
}

?>