<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/


function classifieds_get_menu (&$hlp) {

	global $opnConfig;

	InitLanguage ('modules/classifieds/plugin/menu/language/');
	if (CheckSitemap ('modules/classifieds') ) {
		$url = array();
		$url[0] = $opnConfig['opn_url'] . '/modules/classifieds/index.php';
		$hlp[] = array ('url' => $url,
				'name' => _CLASSFIEDS_MENU_CLASSFIELD,
				'item' => 'classifieds1');
		$url[0] = $opnConfig['opn_url'] . '/modules/classifieds/index.php';
		classifieds_get_menu_cats ($hlp, $url);
		unset ($url);
	}

}

function classifieds_get_menu_cats (&$hlp, $url) {

	global $opnTables;

	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.functions.php');
	$mf = new CatFunctions ('classifieds_product');
	$mf->itemwhere = '(status=1)';
	$mf->itemlink = 'cid';
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemid = 'lid';
	$hlp1 = array ();
	$mf->BuildSitemap ($hlp1, 1, $url, 'classifieds_product', 'cid');
	if (count ($hlp1) ) {
		$hlp = array_merge ($hlp, $hlp1);
	}
	unset ($hlp1);

}

?>