<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

InitLanguage ('modules/classifieds/plugin/sidebox/waiting/language/');

function main_classifieds_status (&$boxstuff) {

	global $opnTables, $opnConfig;

	$boxstuff = '';
	$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE status=0');
	if (isset ($result->fields['counter']) ) {
		$num = ($result === false?0 : $result->fields['counter']);
		if ($num != 0) {
			$boxstuff .= '<a class="%alternate%" href="' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'listallnew') ) . '">';
			$boxstuff .= _CLASSFIEDS_WAIT_WAITING_CLASSFIEDS . '</a>: ' . $num . '<br />' . _OPN_HTML_NL;
		}
		$result->Close ();
		unset ($result);
		unset ($num);
	}
	$result = &$opnConfig['database']->Execute ('SELECT COUNT(rid) AS counter FROM ' . $opnTables['classifieds_product_mod']);
	if (isset ($result->fields['counter']) ) {
		$totalmodrequests = ($result === false?0 : $result->fields['counter']);
		if ($totalmodrequests != 0) {
			$boxstuff .= '<a class="%alternate%" href="' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'listallmod') ) . '">';
			$boxstuff .= _CLASSFIEDS_WAIT_MODIFY_CLASSFIEDS . '</a>: ' . $totalmodrequests. '<br />' . _OPN_HTML_NL;
		}
		$result->Close ();
		unset ($result);
		unset ($num);
	}
	$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE status=2');
	if (isset ($result->fields['counter']) ) {
		$num = ($result === false?0 : $result->fields['counter']);
		if ($num != 0) {
			$boxstuff .= '<a class="%alternate%" href="' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'listalldel') ) . '">';
			$boxstuff .= _CLASSFIEDS_WAIT_DELETE_CLASSFIEDS . '</a>: ' . $num . '<br />' . _OPN_HTML_NL;
		}
		$result->Close ();
		unset ($result);
		unset ($num);
	}

}

function backend_classifieds_status (&$backend) {

	global $opnTables, $opnConfig;

	$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE status=0');
	if (isset ($result->fields['counter']) ) {
		$num = ($result === false?0 : $result->fields['counter']);
		if ($num != 0) {
			$backend[] = '' . _CLASSFIEDS_WAIT_WAITING_CLASSFIEDS . ': ' . $num;
		}
		$result->Close ();
		unset ($result);
		unset ($num);
	}
	$result = &$opnConfig['database']->Execute ('SELECT COUNT(rid) AS counter FROM ' . $opnTables['classifieds_product_mod']);
	if (isset ($result->fields['counter']) ) {
		$totalmodrequests = ($result === false?0 : $result->fields['counter']);
		if ($totalmodrequests != 0) {
			$backend[] = _CLASSFIEDS_WAIT_MODIFY_CLASSFIEDS . ': ' . $totalmodrequests;
		}
		$result->Close ();
		unset ($result);
		unset ($num);
	}
	$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE status=2');
	if (isset ($result->fields['counter']) ) {
		$num = ($result === false?0 : $result->fields['counter']);
		if ($num != 0) {
			$backend[] = '' . _CLASSFIEDS_WAIT_DELETE_CLASSFIEDS . ': ' . $num;
		}
		$result->Close ();
		unset ($result);
		unset ($num);
	}

}

?>