<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.install.php');

function classifieds_repair_sql_table () {

	global $opnConfig;

	$opn_plugin_sql_table = array();
	$opn_plugin_sql_table['table']['classifieds_product']['lid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product']['cid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);

	$opn_plugin_sql_table['table']['classifieds_product']['title'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product']['price'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product']['description'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product']['descriptionlong'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_TEXT);
	$opn_plugin_sql_table['table']['classifieds_product']['keywords'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");

	$opn_plugin_sql_table['table']['classifieds_product']['email'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product']['telefon'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 25, "");
	$opn_plugin_sql_table['table']['classifieds_product']['telefax'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 25, "");
	$opn_plugin_sql_table['table']['classifieds_product']['street'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 100, "");
	$opn_plugin_sql_table['table']['classifieds_product']['zip'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 8, "");
	$opn_plugin_sql_table['table']['classifieds_product']['city'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 100, "");
	$opn_plugin_sql_table['table']['classifieds_product']['state'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 100, "");
	$opn_plugin_sql_table['table']['classifieds_product']['country'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 100, "");

	$opn_plugin_sql_table['table']['classifieds_product']['status'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product']['wdate'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_NUMERIC, 15, 0, false, 5);
	$opn_plugin_sql_table['table']['classifieds_product']['uid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);

	$opn_plugin_sql_table['table']['classifieds_product']['___opn_key1'] = $opnConfig['opnSQL']->GetPrimaryKey (Array ('lid'), 'classifieds_product');



	$opn_plugin_sql_table['table']['classifieds_product_mod']['rid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product_mod']['lid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product_mod']['cid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);

	$opn_plugin_sql_table['table']['classifieds_product_mod']['title'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['price'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['description'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['descriptionlong'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_TEXT);
	$opn_plugin_sql_table['table']['classifieds_product_mod']['keywords'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");

	$opn_plugin_sql_table['table']['classifieds_product_mod']['email'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['telefon'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 25, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['telefax'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 25, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['street'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 100, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['zip'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 8, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['city'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 100, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['state'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 100, "");
	$opn_plugin_sql_table['table']['classifieds_product_mod']['country'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 100, "");

	$opn_plugin_sql_table['table']['classifieds_product_mod']['status'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product_mod']['wdate'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_NUMERIC, 15, 0, false, 5);
	$opn_plugin_sql_table['table']['classifieds_product_mod']['uid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);

	$opn_plugin_sql_table['table']['classifieds_product_mod']['___opn_key1'] = $opnConfig['opnSQL']->GetPrimaryKey (Array ('rid'),'classifieds_product_mod');

	$cat_inst = new opn_categorie_install ('classifieds_product', 'modules/classifieds');
	$cat_inst->repair_sql_table ($opn_plugin_sql_table);
	unset ($cat_inst);

	$opn_plugin_sql_table['table']['classifieds_product_stats']['lid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product_stats']['counter'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product_stats']['___opn_key1'] = $opnConfig['opnSQL']->GetPrimaryKey (Array ('lid'),'classifieds_product_stats');

	$opn_plugin_sql_table['table']['classifieds_product_images']['mid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product_images']['lid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product_images']['uid'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_INT, 11, 0);
	$opn_plugin_sql_table['table']['classifieds_product_images']['url'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product_images']['title'] = $opnConfig['opnSQL']->GetDBType (_OPNSQL_VARCHAR, 250, "");
	$opn_plugin_sql_table['table']['classifieds_product_images']['___opn_key1'] = $opnConfig['opnSQL']->GetPrimaryKey (Array ('mid'),'classifieds_product_images');

	return $opn_plugin_sql_table;
}

function classifieds_repair_sql_index () {

	$opn_plugin_sql_index = array();
	$opn_plugin_sql_index['index']['classifieds_product']['___opn_key1'] = 'title';
	$opn_plugin_sql_index['index']['classifieds_product']['___opn_key2'] = 'cid';
	$cat_inst = new opn_categorie_install ('classifieds_product', 'modules/classifieds');
	$cat_inst->repair_sql_index ($opn_plugin_sql_index);
	unset ($cat_inst);

	return $opn_plugin_sql_index;

}

?>