<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

InitLanguage ('modules/classifieds/plugin/stats/language/');

include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.functions.php');

function classifieds_get_stat (&$data) {

	global $opnConfig, $opnTables;

	$boxtxt = '';
	$checkerlist = $opnConfig['permission']->GetUserGroups ();
	$mf = new CatFunctions ('classifieds_product', true, false);
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemid = 'lid';
	$mf->itemlink = 'cid';
	$mf->itemwhere = 'i.status >0';
	$cat = $mf->GetCatCount ();
	if ($cat != 0) {
		$hlp[] = '<a href="' . encodeurl($opnConfig['opn_url'] . '/modules/classifieds/index.php') . '"><img src="' . $opnConfig['opn_url'] . '/modules/classifieds/plugin/stats/images/classifieds.png" class="imgtag" alt="" /></a>';
		$hlp[] = _CLASSFIEDS_STAT_CATS;
		$hlp[] = $cat;
		$data[] = $hlp;
		unset ($hlp);
		$links = $mf->GetItemCount ();
		if ($links != 0) {
			$hlp[] = '<a href="' . encodeurl($opnConfig['opn_url'] . '/modules/classifieds/index.php') . '"><img src="' . $opnConfig['opn_url'] . '/modules/classifieds/plugin/stats/images/classifieds.png" class="imgtag" alt="" /></a>';
			$hlp[] = _CLASSFIEDS_STAT_CLASSFIEDS;
			$hlp[] = $links;
			$data[] = $hlp;
			unset ($hlp);
		}
	}
	return $boxtxt;

}

?>