<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

InitLanguage ('modules/classifieds/plugin/userrights/language/');

global $opnConfig;

$opnConfig['permission']->InitPermissions ('modules/classifieds');

function classifieds_get_rights (&$rights) {

	$rights = array_merge ($rights, array (_PERM_READ,
						_PERM_WRITE,
						_PERM_BOT,
						_PERM_EDIT,
						_PERM_NEW,
						_PERM_DELETE,
						_PERM_SETTING,
						_PERM_ADMIN,
						_CLASSFIEDS_PERM_SEARCHLINK) );

}

function classifieds_get_rightstext (&$text) {

	$text = array_merge ($text, array (_ADMIN_PERM_READ_TEXT,
					_ADMIN_PERM_WRITE_TEXT,
					_ADMIN_PERM_BOT_TEXT,
					_ADMIN_PERM_EDIT_TEXT,
					_ADMIN_PERM_NEW_TEXT,
					_ADMIN_PERM_DELETE_TEXT,
					_ADMIN_PERM_SETTING_TEXT,
					_ADMIN_PERM_ADMIN_TEXT,
					_CLASSFIEDS_PERM_SEARCHLINK_TEXT) );

}

function classifieds_get_modulename () {
	return _CLASSFIEDS_PERM_MODULENAME;

}

function classifieds_get_module () {
	return 'classifieds';

}

function classifieds_get_adminrights (&$rights) {

	$rights = array_merge ($rights, array (
						_PERM_EDIT,
						_PERM_NEW,
						_PERM_DELETE,
						_PERM_SETTING,
						_PERM_ADMIN) );

}

function classifieds_get_adminrightstext (&$text) {

	$text = array_merge ($text, array (
					_ADMIN_PERM_EDIT_TEXT,
					_ADMIN_PERM_NEW_TEXT,
					_ADMIN_PERM_DELETE_TEXT,
					_ADMIN_PERM_SETTING_TEXT,
					_ADMIN_PERM_ADMIN_TEXT) );

}

function classifieds_get_userrights (&$rights) {

	$rights = array_merge ($rights, array (_PERM_READ,
						_PERM_WRITE,
						_PERM_BOT,
						_CLASSFIEDS_PERM_SEARCHLINK) );

}

function classifieds_get_userrightstext (&$text) {

	$text = array_merge ($text, array (_ADMIN_PERM_READ_TEXT,
					_ADMIN_PERM_WRITE_TEXT,
					_ADMIN_PERM_BOT_TEXT,
					_CLASSFIEDS_PERM_SEARCHLINK_TEXT) );

}

?>